#ifndef	NOIDENT
#ident	"@(#)AbbrevStaP.h	1.2 SMI"
#ident	"@(#)abbrevstack:include/Xol/AbbrevStaP.h	1.13"
#endif

#ifndef _Ol_AbbrevStaP_h
#define _Ol_AbbrevStaP_h

/*
 *************************************************************************
 *
 * Description:
 *		Private ".h" file for the AbbrevStack Widget
 ******************************file*header********************************
 */

#include <Xol/AbbrevMenP.h>	/* include superclasses's header */
#include <Xol/AbbrevStac.h>

/*
 *************************************************************************
 *
 * Widget Private Data
 *
 *************************************************************************
 */

			/* New fields for the widget class record	*/

typedef struct _AbbrevStackClass {
    int	makes_compiler_happy;				/* not used	*/
} AbbrevStackClassPart;

				/* Full class record declaration 	*/

typedef struct _AbbrevStackClassRec {
    CoreClassPart		core_class;
    PrimitiveClassPart		primitive_class;
    AbbrevMenuButtonClassPart	menubutton_class;
    AbbrevStackClassPart	abbrevstack_class;
} AbbrevStackClassRec;

extern AbbrevStackClassRec abbrevStackClassRec;

/*
 *************************************************************************
 *
 * Widget Instance Data
 *
 *************************************************************************
 */

				/* New fields for the widget record	*/
typedef struct {
	int	makes_compiler_happy;			/* not used	*/
} AbbrevStackPart;

   					/* Full widget declaration	*/
typedef struct _AbbrevStackRec {
	CorePart		core;
	PrimitivePart		primitive;
	AbbrevMenuButtonPart	menubutton;
	AbbrevStackPart		abbrevstack;
} AbbrevStackRec;

#endif /* _Ol_AbbrevStaP_h */
