#ifndef	NOIDENT
#ident	"@(#)BaseWindoP.h	1.2 SMI"
#ident	"@(#)basewindow:include/Xol/BaseWindoP.h	1.6"
#endif

#ifndef _BaseWindoP_h_
#define _BaseWindoP_h_

/*************************************************************************
 * Date:	3-Feb-89
 *
 * Description:
 *		Private ".h" file for the BaseWindow Widget
 *
 *****************************file*header********************************/

#include <X11/ShellP.h>
#include <Xol/BaseWindow.h>

		/* New fields for the BaseWindow widget class record	*/

typedef struct _BaseWindowClass {
    int no_new_fields;
} BaseWindowShellClassPart;

				/* Full class record declaration 	*/

typedef struct _BaseWindowClassRec {
    CoreClassPart		core_class;
    CompositeClassPart		composite_class;
    ShellClassPart		shell_class;
    WMShellClassPart		wm_shell_class;
    VendorShellClassPart	vendor_shell_class;
    TopLevelShellClassPart	top_level_shell_class;
    BaseWindowShellClassPart	base_window_shell_class;
} BaseWindowShellClassRec;

extern BaseWindowShellClassRec baseWindowShellClassRec;

/***************************************
 *
 *  Instance (widget) structure 
 *
 **************************************/


			/* New fields for the BaseWindow widget record */
typedef struct {
    Widget	focus_widget;		/* Widget to take focus on a */
					/* WM_TAKE_FOCUS client message */
    XtPointer	user_data;		/* Application hook */
} BaseWindowShellPart;

			/*
			 * Widget Instance declaration
			 */

typedef struct _BaseWindowShellRec {
    CorePart		core;
    CompositePart	composite;	
    ShellPart		shell;
    WMShellPart		wm;
    VendorShellPart	vendor;
    TopLevelShellPart	topLevel;
    BaseWindowShellPart	base_window;
} BaseWindowShellRec;


extern void	_OlRegisterFocusWidget();

#endif /* _BaseWindoP_h_ */
