#ifndef	NOIDENT
#ident	"@(#)CheckBoxP.h	1.2 SMI"
#ident	"@(#)checkbox:include/Xol/CheckBoxP.h	1.16"
#endif

/*
 ************************************************************
 *
 * File: CheckBoxP.h - Private definitions for CheckBox widget
 * 
 ************************************************************
 */

#ifndef _OlCheckBoxP_h
#define _OlCheckBoxP_h

#include <Xol/ManagerP.h>
#include <Xol/ButtonP.h>
#include <Xol/CheckBox.h>

/* New fields for the CheckBox widget class record */

typedef struct _CheckBoxClass 
  {
    int makes_compiler_happy;  /* not used */
  } CheckBoxClassPart;

   /* Full class record declaration */
typedef struct _CheckBoxClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    ConstraintClassPart	constraint_class;
    ManagerClassPart	manager_class;
    CheckBoxClassPart	checkBox_class;
} CheckBoxClassRec;

extern CheckBoxClassRec checkBoxClassRec;

		    /* New fields for the CheckBox widget record: */
typedef struct {

		   				/* fields for resources */

						/* public */
    XtCallbackList	select;
    XtCallbackList	unselect;
    Boolean		set;
    Boolean		dim;
    Boolean		sensitive;
    Boolean		setvalue;
    char		*label;
    Pixel		foreground;
    Pixel		fontcolor;
    OlDefine		labeljustify;
    OlDefine		position;
    OlDefine		labeltype;
    Boolean		labeltile;
    XImage	       *labelimage;
    Boolean		recompute_size;
    XFontStruct	       *font;

					/* private fields */ 
    Widget		label_child;
    Dimension		normal_height;
    Dimension		normal_width;
    Position		x1,x2;		/* position of checkbox box */
    Position		y1,y2;		
    XFontStruct	       *box_font;

} CheckBoxPart;


/*    XtEventsPtr eventTable;*/


   /* Full widget declaration */
typedef struct _CheckBoxRec {
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    ManagerPart		manager;
    CheckBoxPart	checkBox;
} CheckBoxRec;

#endif /* _OlCheckBoxP_h */
