#ifndef NOIDENT
#ident	"@(#)DynamicP.h	1.2 SMI"
#ident	"@(#)olmisc:DynamicP.h	1.1"
#endif

/*
 * DynamicP.h
 *
 */

#ifndef _DynamicP_h
#define _DynamicP_h

typedef unsigned long Modifier;
typedef unsigned int  BtnSym;

#define MAXKEYDEFS 3
#define MAXBTNDEFS 3

typedef struct _OlKeyDef
   {
   int          used;
   Modifier     modifier[MAXKEYDEFS];
   KeySym       keysym[MAXKEYDEFS];
   } OlKeyDef;

typedef struct _OlBtnDef
   {
   int          used;
   Modifier     modifier[MAXBTNDEFS];
   BtnSym       button[MAXBTNDEFS];
   } OlBtnDef;

typedef struct _OlKeyBinding
   {
   String       name;
   String       class;
   String       default_value;
   OlInputEvent ol_event;
   OlKeyDef     def;
   } OlKeyBinding;

typedef struct _OlBtnBinding
   {
   String       name;
   String       class;
   String       default_value;
   OlInputEvent ol_event;
   OlBtnDef     def;
   } OlBtnBinding;

typedef struct _OlColorBinding
   {
   String       name;
   String       class;
   String       default_value;
   Pixel        value;
   } OlColorBinding;

typedef struct _OlMiscBinding
   {
   String       name;
   String       class;
   String       default_value;
   int          value;
   } OlMiscBinding;

typedef struct mapping
   {
   String s;
   unsigned long m;
   } mapping;

#define XtROlKeyDef   "OlKeyDef"
#define XtROlBtnDef   "OlBtnDef"

#endif
