#ifndef	NOIDENT
#ident	"@(#)NoticeP.h	1.2 SMI"
#ident	"@(#)notice:include/openlook/NoticeP.h	1.12"
#endif
/*
 NoticeP.h (C hdr file)
	Acc: 597450415 Tue Dec  6 17:26:55 1988
	Mod: 596204516 Tue Nov 22 07:21:56 1988
	Sta: 597450407 Tue Dec  6 17:26:47 1988
	Owner: 4777
	Group: 1985
	Permissions: 664
*/
/*
	START USER STAMP AREA
*/
/*
	END USER STAMP AREA
*/
/* 
 * NoticeP.h - Private definitions for Notice widget
 */

#ifndef _NoticeP_h
#define _NoticeP_h

/*
 * Notice Widget Private Data
 */

#include <Xol/Notice.h>
#include <Xol/BaseWindoP.h>

/***********************************************************************
 *
 *	Class structure
 *
 **********************************************************************/

/* New fields for the Notice widget class record */
typedef struct {
    int no_class_fields;	/* make compiler happy */
} NoticeShellClassPart;

/* Full class record declaration */
typedef struct _NoticeShellClassRec {
    CoreClassPart		core_class;
    CompositeClassPart  	composite_class;
    ShellClassPart		shell_class;
    WMShellClassPart            wm_shell_class;
    VendorShellClassPart        vendor_shell_class;
    TopLevelShellClassPart      top_level_shell_class;
    BaseWindowShellClassPart    base_window_shell_class;
    NoticeShellClassPart	notice_shell_class;
} NoticeShellClassRec;

/* Class record variable */
externalref NoticeShellClassRec noticeShellClassRec;

/***********************************************************************
 *
 *	Instance (widget) structure
 *
 **********************************************************************/

/* New fields for the Notice widget record */
typedef struct {
    /* "public" (resource) members */
    Widget	control;	/* control box for buttons */
    Widget	emanate;	/* originating widget */
    Widget	text;		/* notice text widget */
    Boolean	warp_pointer;

    /* private members */
    Boolean	do_unwarp;	/* unwarp only when no motion */
    Dimension	horiz_margin;	/* for distinctive border */
    int		root_x;		/* to restore warped pointer */
    int		root_y;		/* to restore warped pointer */
    Dimension	vert_margin;	/* for distinctive border */
} NoticeShellPart;

/* Full instance record declaration */
typedef struct _NoticeShellRec {
    CorePart		core;
    CompositePart	composite;
    ShellPart		shell;
    WMShellPart         wm;
    VendorShellPart     vendor;
    TopLevelShellPart   topLevel;
    BaseWindowShellPart base_window;
    NoticeShellPart	notice_shell;
} NoticeShellRec;

#endif /* _NoticeP_h */
