#ifndef	NOIDENT
#ident	"@(#)OblongButP.h	1.2 SMI"
#ident	"@(#)button:include/openlook/OblongButP.h	1.10"
#endif

/*
 ************************************************************
 *
 *  Description:
 *	This file contains the private definitions for the
 *	OPEN LOOK(tm) OblongButton widget and gadget.
 *
 ************************************************************
 */


#ifndef _OlOblongBtnP_h
#define _OlOblongBtnP_h

#include <Xol/ButtonP.h>
#include <Xol/OblongButt.h>

/*
 *  There are no new fields in the OblongButton class record 
 */
typedef struct _OblongButtonClass {
	int makes_compiler_happy;  /* not used */
} OblongButtonClassPart;

typedef struct _OblongButtonClassRec {
	CoreClassPart		core_class;
	PrimitiveClassPart	primitive_class;
	ButtonClassPart		button_class;
	OblongButtonClassPart	oblongButton_class;
} OblongButtonClassRec;

typedef struct _OblongButtonGadgetClassRec {
        RectObjClassPart        rect_class;
        EventObjClassPart       event_class;
        ButtonClassPart         button_class;
        OblongButtonClassPart   oblongButton_class;
} OblongButtonGadgetClassRec;


/*
 *  oblongButtonClassRec is defined in OblongButton.c
 */
extern OblongButtonClassRec oblongButtonClassRec;
extern OblongButtonGadgetClassRec oblongButtonGadgetClassRec;

/*
 *  declaration of the Button widget fields
 */
typedef struct {
	/*
	 *  Public resources
	 */
	Boolean		trigger;
} OblongButtonPart;


typedef struct _OblongButtonRec {
	CorePart		core;
	PrimitivePart		primitive;
	ButtonPart		button;
	OblongButtonPart	oblong;
} OblongButtonRec;

typedef struct _OblongButtonGadgetRec {
        ObjectPart              object;
        RectObjPart             rect;
        EventObjPart            event;
        ButtonPart              button;
        OblongButtonPart        oblong;
} OblongButtonGadgetRec;

#endif /* _OlOblongBtnP_h */
