#ifndef	NOIDENT
#ident	"@(#)ScrollingL.h	1.2 SMI"
#ident	"@(#)scrolllist:include/Xol/List.h	1.16"
#endif
/*
 List.h (C hdr file)
	Acc: 596865501 Tue Nov 29 22:58:21 1988
	Mod: 596865501 Tue Nov 29 22:58:21 1988
	Sta: 596865501 Tue Nov 29 22:58:21 1988
	Owner: 4777
	Group: 1985
	Permissions: 666
*/
/*
	START USER STAMP AREA
*/
/*
	END USER STAMP AREA
*/
#ifndef _ScrollingL_h
#define _ScrollingL_h

/*
 * OPEN LOOK(TM) Scrolling List Widget
 */

#include <Xol/Form.h>		/* include superclass' header */

/*
 * New Resources:
 *
 * Name			Type		Default	   Meaning
 * ----			----		-------	   -------
 * XtNapplAddItem	function	n/a	get and call to add item
 * XtNapplDeleteItem	function	n/a	get and call to delete item
 * XtNapplEditClose	function	n/a	get and call to begin edit
 * XtNapplEditOpen	function	n/a	get and call to end edit
 * XtNapplTouchItem	function	n/a	get and call to change item
 * XtNapplUpdateView	function	n/a	get and call to (un)lock view
 * XtNapplViewItem	function	n/a	get and call to view item
 * XtNselectable	Boolean		True	List is selectable
 * XtNuserDeleteItems	Callback	NULL	user event: delete (cut)
 * XtNuserMakeCurrent	Callback	NULL	user event: select
 * XtNviewHeight	Cardinal	0	number of items in view
 */

/* Constants */

#define OL_B_LIST_ATTR_APPL	0x0000ffff
#define OL_B_LIST_ATTR_CURRENT	0x00020000
#define OL_B_LIST_ATTR_SELECTED	0x00040000

/* for 1.0 compatibility */
#define OL_LIST_ATTR_APPL	OL_B_LIST_ATTR_APPL
#define OL_LIST_ATTR_CURRENT	OL_B_LIST_ATTR_CURRENT
#define OL_LIST_ATTR_SELECTED	OL_B_LIST_ATTR_SELECTED


/* Structures */

typedef struct _OlListItem {			/* OPEN LOOK list item */
    OlDefine	label_type;
    XtPointer	label;
    XImage *	glyph;
    OlBitMask	attr;
    XtPointer	tag;
} OlListItem;

typedef struct _OlListToken *OlListToken;	/* opaque item token */

#define OlListItemPointer(token) ((OlListItem *)(token))

typedef struct _OlListDelete {			/* XtNuserDelete call_data */
    OlListToken	*	tokens;
    Cardinal		num_tokens;
} OlListDelete;


/* Class record pointer */
extern WidgetClass scrollingListWidgetClass;

/* C Widget type definition */
typedef struct _ListClassRec	*ScrollingListWidgetClass;
typedef struct _ListRec		*ScrollingListWidget;

#endif /* _ScrollingL_h */
