#ifndef NOIDENT
#ident	"@(#)TextWrap.h	1.2 SMI"
#ident	"@(#)textedit:TextWrap.h	1.1"
#endif

/*
 * TextWrap.h
 *
 */

#ifndef _TextWrap_h
#define _TextWrap_h

extern TextLocation _FirstWrapLine();
extern TextLocation _LastDisplayedWrapLine();
extern TextLocation _LastWrapLine();

extern int          _LineNumberOfWrapLocation();
extern int          _NumberOfWrapLines();

extern void         _UpdateWrapTable();
extern void         _BuildWrapTable();

extern char *       _GetNextWrappedLine();

extern TextLocation _IncrementWrapLocation();
extern TextLocation _MoveToWrapLocation();

extern TextPosition _PositionOfWrapLocation();
extern TextLocation _LocationOfWrapLocation();
extern TextLocation _WrapLocationOfPosition();
extern TextLocation _WrapLocationOfLocation();

extern TextPosition _WrapLineOffset();
extern TextPosition _WrapLineLength();
extern TextPosition _WrapLineEnd();

extern void         _StringOffsetAndPosition();
extern int          _StringWidth();
extern int          _CharWidth();
extern int          _NextTabFrom();

extern void         _DrawWrapLine();
extern TextPosition _WrapLine();

#endif
