/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/**
PROJECT:	The AT&T Xtk Test
NAME:		scrolled.c
MODULE:
CATEGORY:
SCCS INFO:	ID (release.level.branch.sequence) - 1.2
		Date newest applied delta created  - 6/19/90
		Date this file gotten - 6/19/90
HISTORY:	Date	 Version  Person	Modification
		11/23/88 1.00.00  sfbat!scottn	initial coding
		10/17/89 1.00.00  sfbat!chang   use gadget
NOTES:
		Confidential, please do not disclose
**/

#include "sampler_ext.h"
/**/
#include "Xol/PopupWindo.h"
#include "Xol/ControlAre.h"
#include "Xol/StaticText.h"
#include "Xol/OblongButt.h"
#include "Xol/ScrolledWi.h"


extern void	popup_callback (),
		done_callback ();

static char	Strng[] = "\
Severity One MR: An error or omission that could\n\
      result in a serious loss to a customer, or\n\
      an error or omission that results in the\n\
      loss of major system functionality, rending\n\
      the system or feature unusable, or, most\n\
      relevant to testing, an error or omission\n\
      that prevents the continuation of system testing.\n\n\
Severity Two MR: An error or omission that results\n\
      in the loss of significant functionality. Or,\n\
      while technically correct, a system or feature\n\
      is too difficult to be used effectively. The\n\
      product will be non functional by some specific\n\
      date if a modification is not made.";

void scrolled_window (menupane)
	Widget		menupane;
{
	Widget		cmd,
			parent,
			done_button,
			footerArea,
			lowercontrolarea,
			uppercontrolarea,
			scrwin,
			text_controlarea;


	T_INIT_ARGS;
	T_SET_ARGS (XtNlabelType, OL_POPUP);
#ifdef OL2_0
        parent = T_CREATE_WIDGET(
                	"Scrolled Window",
                	oblongButtonGadgetClass,
                	menupane
	);
#else
        parent = T_CREATE_WIDGET(
                	"Scrolled Window",
                	oblongButtonWidgetClass,
                	menupane
	);
#endif
	T_INIT_ARGS;
	T_SET_ARGS (XtNtitle, "Scrolled Window");
	cmd = T_CREATE_POPUP(
			"SCmdWin",
			popupWindowShellWidgetClass,
			menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS(XtNupperControlArea, &uppercontrolarea);
	T_SET_ARGS(XtNlowerControlArea, &lowercontrolarea);
	T_SET_ARGS(XtNfooterPanel, &footerArea);
	T_GET_VALS (cmd);

	T_INIT_ARGS;
	T_SET_ARGS(XtNheight, 100);
	T_SET_ARGS(XtNwidth, 200);
	scrwin = T_CREATE_WIDGET(
			"ScRwIn",
			scrolledWindowWidgetClass,
			uppercontrolarea
	);

	T_INIT_ARGS;
	text_controlarea = T_CREATE_WIDGET(
				"SCa",
				controlAreaWidgetClass,
				scrwin
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, Strng);
	T_SET_ARGS (XtNstrip, False);
	(void) T_CREATE_WIDGET(
			"ROw",
			staticTextWidgetClass,
			text_controlarea
	);

	T_INIT_ARGS;
#ifdef OL2_0
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonGadgetClass,
			lowercontrolarea
	);
#else
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonWidgetClass,
			lowercontrolarea
	);
#endif
	XtAddCallback (done_button, XtNselect, done_callback, NULL);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, "a Scrolled Window");
	(void) T_CREATE_WIDGET(
			"STatic",
			staticTextWidgetClass,
			footerArea
	);

	XtAddCallback (parent, XtNselect, popup_callback, cmd);

	XtRealizeWidget (cmd);

	return;
}
