/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ifndef	NOIDENT
#ident	"@(#)tutorial:examples/tutorial/s_button.c	1.3"
#endif

#include <X11/Intrinsic.h>
#include <Xol/OpenLook.h>
#include <Xol/OblongButt.h>

void 
QuitCallback(widget, clientData, callData)
Widget widget;
caddr_t clientData, callData;
{
	exit(0);
}


int 
main(argc, argv)
unsigned int argc;
char **argv;
{

	Widget	toplevel, quitButton;
	Arg	args[10];
	int	n;

	toplevel = OlInitialize("top", "Top", NULL, 0, &argc, argv);

	n = 0;
	XtSetArg(args[n], XtNlabel, "Quit");		n++;

	quitButton = XtCreateManagedWidget(	"button", 
						oblongButtonWidgetClass, 
						toplevel, args, n);

	XtAddCallback(quitButton, XtNselect, QuitCallback, NULL);

	XtRealizeWidget(toplevel);
	XtMainLoop();
}
