cdef PS_center()
    clippath pathbbox 2 div exch 2 div exch translate pop pop

cdef PS_fillcanvas(string color)
    ColorDict color cvn get fillcanvas

cdef PS_setlinewidth(int line)
    line setlinewidth

cdef PS_PostScript(postscript code)
    code
cdef PS_setcanvas(postscript canvas)
    canvas setcanvas
cdef PS_name_token(string name,token tok)
    name cvn tok def

%
% Support Routines for Hello2.c
%
cdef Define_String(string name, string object)
    name cvn object def

cdef Define_Proc(string name, postscript object)
    name cvn { object } def

cdef Define_Rundisplay(string slogan,postscript operator)
    /Operator { operator } def
    /Slogan slogan def
    /rundisplay {
	1 1 24 {
	    24 div Operator
	    0 0 moveto
	    Slogan show
	    15 rotate pause
	} for
    } def

cdef Rundisplay()
    rundisplay
    
%
% Support routines for the sausage demo

cdef Define_Sausage_Handler()

/ColorRed ColorDict /red get def
/ColorWhite ColorDict /white get def
%
% Make an offscreen canvas for better rendering
%
/RenderCan framebuffer newcanvas dup
    clippath pathbbox rectpath reshapecanvas def
RenderCan /Retained true put

%
% Routine for drawing a larger line
% New implementation sends 1 int and 1 byte across the wire
% 
/L {
    setlinewidth
    ColorRed setcolor
    1 setlinecap
    100 75 moveto
    500 75 lineto
    stroke
} def
%
% Routine for drawing a smaller object using offscreen buffer
%
/S {
    setlinewidth
    RenderCan setcanvas	    	    % use offscreen canvas
    ColorWhite fillcanvas	    % Draw the object
    ColorRed setcolor
    1 setlinecap
    100 75 moveto
    500 75 lineto
    stroke
    NeWScan setcanvas	    	    % set to visible canvas
    RenderCan imagecanvas	    % copy it over from offscreen
} def
    
% New Sausage routines
cdef DrawLargerLine(int width)
    width L

cdef DrawSmallerLine(int width)
    width S

