/*
 * @(#)pixmapstr.h 23.2 90/06/19
 */
/***********************************************************
Copyright 1987 by Digital Equipment Corporation, Maynard, Massachusetts,
and the Massachusetts Institute of Technology, Cambridge, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Digital or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

******************************************************************/

#ifndef PIXMAPSTRUCT_H
#define PIXMAPSTRUCT_H

#include <nucleus/canvas.h>
#include <X11/pixmap.h>
#include <X11/misc.h>

#define	xcs_type(cv)	(cv.type == xn_canvas_type			\
			? (cs_transparent(cv)	? UNDRAWABLE_WINDOW	\
						: DRAWABLE_WINDOW)	\
			: DRAWABLE_PIXMAP)
#define	xcs_id(cv)	(((XNCANVAS)entity_addr(cv))->wid)

/* cleans the clientdata */
extern int	xcs_destroy_pixmap();

/* decref's it */
extern int	DeletePixmap();
extern REF	xcs_createpixmap();

#endif /* PIXMAPSTRUCT_H */
