/****
 *
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 * @(#)graphics.h 23.2 90/06/19 Copyright 1988 Sun Micro
 *
 * GRAPHICS.H - Shapes header
 * This header is the main header for USER SHAPES programs.
 * It includes definitions for all Shapes objects.
 * 
 ****/
#ifndef	_GRAPHICS

#ifndef	SH_USER
#define	SH_USER
#endif
#ifndef	WINDOWGRABBER
#define	WINDOWGRABBER
#endif

#undef SCREEN	/* conflicts with Xview */

#include "sh_main.h"
#include "sh_SHAPE.h"		/* SHAPE class */
#include "sh_CTX.h"		/* CONTEXT class */
#include "sh_RAS.h"		/* RASTER class */
#include "sh_CURSOR.h"		/* CURSOR class */
#include "sh_PATH.h"		/* PATH class */
#include "sh_TRANS.h"		/* TRANSFORM class */
#include "sh_LIGHTS.h"		/* LIGHTS class */
#include "sh_CMAP.h"		/* CMAP class */
#include "sh_PAT.h"		/* PATTERN class */
#include "sh_glyph.h"		/* GLYPH objects */
#include "sh_class.h"		/* CLASS handler */
#include "sh_draw.h"		/* Drawing macros */

/*
 * Window-based raster types
 */
#define RAS_SUNWINDOWS sh_RAS_SUNWINDOWS
#define RAS_XVIEW sh_RAS_XVIEW
#define RAS_X11	sh_RAS_X11
#define RAS_NEWS sh_RAS_NEWS
extern	RASTER	sh_RAS_SUNWINDOWS();
extern	RASTER	sh_RAS_X11();
extern	RASTER	sh_RAS_NEWS();
extern	RASTER	sh_RAS_XVIEW();

#undef SCREEN	/* conflicts with Xview */

#define	_GRAPHICS
#endif	/* _GRAPHICS */
