%
% This file is a product of Sun Microsystems, Inc. and is provided for
% unrestricted use provided that this legend is included on all tape
% media and as a part of the software program in whole or part.  Users
% may copy or modify this file without charge, but are not authorized to
% license or distribute it to anyone else except as part of a product
% or program developed by the user.
% 
% THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
% WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
% PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
% 
% This file is provided with no support and without any obligation on the
% part of Sun Microsystems, Inc. to assist in its use, correction,
% modification or enhancement.
% 
% SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
% INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS FILE
% OR ANY PART THEREOF.
% 
% In no event will Sun Microsystems, Inc. be liable for any lost revenue
% or profits or other special, indirect and consequential damages, even
% if Sun has been advised of the possibility of such damages.
% 
% Sun Microsystems, Inc.
% 2550 Garcia Avenue
% Mountain View, California  94043
%
%
% "@(#)psmacros.cps 23.2 90/06/19
%
% Copyright (c) 1985 by Sun Microsystems, Inc.
%


C: #ifndef PSMACROS_H
C: #define PSMACROS_H
C: #ifndef FILE
C: #include <stdio.h>
C: #endif
C: #ifndef PSFILE
C: #include "psio.h"
C: #endif
C: extern PSFILE *PostScript, *PostScriptInput;
C: PSFILE *ps_open_PostScript();
C: PSFILE *ps_open_server();
C: #define ps_flush_PostScript() (psio_setblockok(PostScript), \
C:				  psio_flush(PostScript))
C: #define ps_close_server(p)	 (psio_close(psio_getassoc(p)), psio_close(p))
C: #define ps_close_PostScript() (psio_close(PostScript),PostScript = 0, \
C:				  psio_close(PostScriptInput),PostScriptInput=0)
cdef ps_moveto(x,y) x y moveto
cdef ps_rmoveto(x,y) x y rmoveto
cdef ps_lineto(x,y) x y lineto
cdef ps_rlineto(x,y) x y rlineto
cdef ps_closepath() closepath
cdef ps_arc(x,y,r,a0,a1) x y r a0 a1 arc
cdef ps_stroke() stroke
cdef ps_fill() fill
cdef ps_show(string s) s show
cdef ps_cshow(cstring s) s show
cdef ps_findfont(string f) f findfont
cdef ps_scalefont(n) n scalefont
cdef ps_setfont() setfont
cdef ps_gsave() gsave
cdef ps_grestore() grestore
C: #define ps_check_PostScript_event()				\
C:	(psio_availinputbytes(PostScriptInput) ||		\
C:	 ps_checkfor(PostScriptInput,PSIO_CHECK_INPUT,0))
C: #define ps_check_input()		ps_check_PostScript_event()
C: #define ps_query_PostScript_event(tag)	\
C:	ps_checkfor(PostScriptInput,PSIO_FIND_TAG,tag)
C: #define ps_query_tag(tag)		ps_query_PostScript_event(tag)
C: #define ps_read_PostScript_event(ptag)	\
C:	ps_currenttag(PostScriptInput,PSIO_GET_TAG,ptag)
C: #define ps_read_tag(ptag)		ps_read_PostScript_event(ptag)
C: #define ps_peek_PostScript_event(ptag)	\
C:	ps_currenttag(PostScriptInput,PSIO_PEEK_TAG,ptag)
C: #define ps_peek_tag(ptag)		ps_peek_PostScript_event(ptag)
C: #define ps_skip_PostScript_event()	\
C:	ps_skip(PostScriptInput)
C: #define ps_skip_input_value()	ps_skip_PostScript_event()
C: #define ps_define_stack_token(u) ps_DO_defuser(u/**/_token = psio_getnexttoken(PostScript))
C: #define ps_define_value_token(u) (pprintf(PostScript, "/u load ", sizeof "/u load " - 1), \
C:				     ps_define_stack_token(u))
C: #define ps_define_word_token(u) (pprintf(PostScript, "/u cvx ", sizeof "/u cvx " - 1), \
C:				    ps_define_stack_token(u))
cdef ps_DO_defuser(usertoken) usertoken setfileinputtoken
cdef ps_DO_finddef(string font,usertoken) font findfont
			usertoken setfileinputtoken
C: #define ps_finddef(font,usertoken) ps_DO_finddef(font,(usertoken)=psio_getnexttoken(PostScript))
cdef ps_DO_scaledef(token font,scale,usertoken) font scale scalefont
			usertoken setfileinputtoken
C: #define ps_scaledef(font,scale,usertoken) ps_DO_scaledef(font,scale,(usertoken) = psio_getnexttoken(PostScript))
cdef ps_usetfont(token font) font setfont
C: #endif
