#ifndef	NOIDENT
#ident	"@(#)AbbrevMenP.h	1.2 SMI"
#ident	"@(#)abbrevstack:AbbrevMenP.h	1.1"
#endif

#ifndef _Ol_AbbrevMenP_h
#define _Ol_AbbrevMenP_h

/*
 *************************************************************************
 *
 * Description:
 *		Private ".h" file for the AbbreviatedMenuButton Widget
 ******************************file*header********************************
 */

#include <Xol/PrimitiveP.h>	/* include superclasses's header */
#include <Xol/AbbrevStac.h>

/*
 *************************************************************************
 *
 * Widget Private Data
 *
 *************************************************************************
 */


			/* New fields for the widget class record	*/

typedef struct _AbbrevMenuButtonClass {
    int makes_compiler_happy;				 /* not used	*/
} AbbrevMenuButtonClassPart;

				/* Full class record declaration 	*/

typedef struct _AbbrevMenuButtonClassRec {
    CoreClassPart		core_class;
    PrimitiveClassPart		primitive_class;
    AbbrevMenuButtonClassPart	menubutton_class;
} AbbrevMenuButtonClassRec;

extern AbbrevMenuButtonClassRec abbrevMenuButtonClassRec;

/*
 *************************************************************************
 *
 * Widget Instance Data
 *
 *************************************************************************
 */

				/* New fields for the widget record	*/
typedef struct {
							/* Public data	*/

    Pixel		foreground;
    int			scale;
    Boolean		busy;
    Boolean		set;
    Widget		preview_widget; /* Id where abbrev. does its
    					 * its previewing.		*/

    						/* Private data	*/

    ShellBehavior	shell_behavior;	/* Behavior of Abbrev.'s shell	*/
    Widget		submenu;	/* Submenu for AbbrevMenuButton	*/
    Boolean		previewing_default;
    GC			normal_GC;
    GC			fix_GC;
    XFontStruct *	font;
    char *		unset_string;
    char *		set_string;
    XtCallbackList	post_select;
    Position		root_x;		/* Temporary cache		*/
    Position		root_y;		/* Temporary cache		*/
} AbbrevMenuButtonPart;

   					/* Full widget declaration	*/
typedef struct _AbbrevMenuButtonRec {
	CorePart		core;
	PrimitivePart		primitive;
	AbbrevMenuButtonPart	menubutton;
} AbbrevMenuButtonRec;

#endif /* _Ol_AbbrevMenP_h */
