#ifndef	NOIDENT
#ident	"@(#)ButtonStaP.h	1.2 SMI"
#ident	"@(#)menu:include/Xol/ButtonStaP.h	1.11"
#endif

#ifndef _Ol_ButtonStaP_h
#define _Ol_ButtonStaP_h

/*************************************************************************
 *
 * Description:
 *		Private ".h" file for the ButtonStack Widget and Gadget
 *
 ***************************file*header***********************************/

#include <Xol/MenuButtoP.h>
#include <Xol/ButtonStac.h>

/***********************************************************************
 *
 * ButtonStack Widget Private Data
 *
 ***********************************************************************/


		/* New fields for the ButtonStack widget class record	*/

typedef struct _ButtonStackClass {
    int makes_compiler_happy;  /* not used */
} ButtonStackClassPart;

				/* Full class record declaration 	*/

typedef struct _ButtonStackClassRec {
    CoreClassPart		core_class;
    PrimitiveClassPart		primitive_class;
    ButtonClassPart		button_class;
    MenuButtonClassPart		menubutton_class;
    ButtonStackClassPart	buttonstack_class;
} ButtonStackClassRec;

typedef struct _ButtonStackGadgetClassRec {
    RectObjClassPart            rect_class;
    EventObjClassPart           event_class;
    ButtonClassPart             button_class;
    MenuButtonClassPart		menubutton_class;
    ButtonStackClassPart        buttonstack_class;
} ButtonStackGadgetClassRec;

extern ButtonStackClassRec		buttonStackClassRec;
extern ButtonStackGadgetClassRec	buttonStackGadgetClassRec;

/***************************************
 *
 *  Instance (widget) structure 
 *
 **************************************/

			/* New fields for the ButtonStack widget record */
typedef struct {
    int		makes_compiler_happy;	/* unused instance field	*/
} ButtonStackPart;


					/* Full widget declaration	*/
typedef struct _ButtonStackRec {
	CorePart	core;
	PrimitivePart	primitive;
	ButtonPart	button;
	MenuButtonPart	menubutton;
	ButtonStackPart	buttonstack;
} ButtonStackRec;

					/* Full gadget declaration	*/
typedef struct _ButtonStackGadgetRec {
	ObjectPart	object;
	RectObjPart	rect;
	EventObjPart	event;
	ButtonPart	button;
	MenuButtonPart	menubutton;
	ButtonStackPart	buttonstack;
} ButtonStackGadgetRec;

#endif /* _Ol_ButtonStaP_h */
