#ifndef	NOIDENT
#ident	"@(#)Flat.h	1.2 SMI"
#ident	"@(#)flat:Flat.h	1.11"
#endif

#ifndef _OL_FLAT_H
#define _OL_FLAT_H

/*
 ************************************************************************	
 * Description:
 *	This is the flat container meta class's public header file.
 ************************************************************************	
 */

#include <Xol/Primitive.h>

/*
 ************************************************************************	
 * Define class and instance pointers:
 *	- extern pointer to class data/procedures
 *	- typedef pointer to widget's class structure
 *	- typedef pointer to widget's instance structure
 ************************************************************************	
 */

extern WidgetClass		flatWidgetClass;
typedef struct _FlatClassRec *	FlatWidgetClass;
typedef struct _FlatRec *	FlatWidget;

/*
 ************************************************************************	
 * Define some new structures to support flat widgets
 ************************************************************************	
 */
				/* Define a callback management
				 * structure for flat widgets		*/

typedef struct {
	Cardinal	item_index;	/* sub-object initiating callb.	*/
	XtPointer	items;		/* sub-object list		*/
	Cardinal	num_items;	/* number of sub-objects	*/
	String *	item_fields;	/* key of fields for list	*/
	Cardinal	num_item_fields;/* number of item fields	*/
	Cardinal	num_fields;	/* number of item fields	*/
} OlFlatCallData;

#endif /* _OL_FLAT_H */
