#ifndef	NOIDENT
#ident	"@(#)HelpP.h	1.2 SMI"
#ident	"@(#)help:include/Xol/HelpP.h	1.4"
#endif

#ifndef _Ol_HelpP_h_
#define _Ol_HelpP_h_
/*
 ************************************************************************
 *
 * Description:
 *		This is the "private" include file for the Help Widget
 *
 *****************************file*header********************************
 */

#include <Xol/ControlArP.h>
#include <Xol/Help.h>

/*
 ***********************************************************************
 *
 * Widget Private Data
 *
 ***********************************************************************
 */

			/* New fields for the widget class record	*/

typedef struct {
	int keep_compiler_happy;   /* No new procedures */
} HelpClassPart;

				/* Full class record declaration 	*/

typedef struct _HelpClassRec {
  	CoreClassPart		core_class;
	CompositeClassPart	composite_class;
	ConstraintClassPart	constraint_class;
	ManagerClassPart	manager_class;
	ControlClassPart	control_class;
	HelpClassPart		help_class;
} HelpClassRec;

extern HelpClassRec helpClassRec;

/*
 ***********************************************************************
 *
 * Instance (widget) structure 
 *
 ***********************************************************************
 */

				/* New fields for the widget record	*/

typedef struct {
	Widget		text_widget;	/* Text Widget Id		*/
	Widget		mag_widget;	/* Magnifier Widget Id		*/
} HelpPart;

					/* Full Widget declaration	*/
typedef struct _HelpRec {
	CorePart 	core;
	CompositePart 	composite;
	ConstraintPart	constraint;
	ManagerPart	manager;
	ControlPart	control;
	HelpPart	help;
} HelpRec;

#endif /* _Ol_HelpP_h_ */
