#ifndef NOIDENT
#ident	"@(#)OlStrings.h	1.3 SMI"
#ident	"@(#)olcommon:include/Xol/OlStrings.h	1.45.1.8"
#endif

/*
 * OlStrings.c
 *
 */

#ifndef _OlStrings_h
#define _OlStrings_h

/*
 * Names
 *
 */

#define XtNacceptFocus              "acceptFocus"
#define XtNadjustBtn                "adjustBtn"
#define XtNalignCaptions            "alignCaptions"
#define XtNalignHorizontal          "alignHorizontal"
#define XtNalignVertical            "alignVertical"
#define XtNalignment                "alignment"
#define XtNapplAddItem              "applAddItem"
#define XtNapplDeleteItem           "applDeleteItem"
#define XtNapplEditClose            "applEditClose"
#define XtNapplEditOpen             "applEditOpen"
#define XtNapplTouchItem            "applTouchItem"
#define XtNapplUpdateView           "applUpdateView"
#define XtNapplViewItem             "applViewItem"
#define XtNapply                    "apply"
#define XtNautoPopup                "autoPopup"
#define XtNbeep                     "beep"
#define XtNborderVisible            "borderVisible"
#define XtNbottomMargin             "bottomMargin"
#define XtNbtnDown                  "btnDown"
#define XtNbtnMotion                "btnMotion"
#define XtNbtnUp                    "btnUp"
#define XtNbusy                     "busy"
#define XtNbuttonType               "buttonType"
#define XtNcancelKey                "cancelKey"
#define XtNcaption                  "caption"
#define XtNcaptionWidth             "caption_width"
#define XtNcenter                   "center"
#define XtNcenterLine               "centerLine"
#define XtNclientData               "clientData"
#define XtNconstrainBtn             "constrainBtn"
#define XtNcontainerType            "containerType"
#define XtNcontrolArea              "controlArea"
#define XtNcopyKey                  "copyKey"
#define XtNcornerColor              "cornerColor"
#define XtNcurrentPage              "currentPage"
#define XtNcursorPosition           "cursorPosition"
#define XtNcutKey                   "cutKey"
#define XtNdampingFactor            "dampingFactor"
#define XtNdata                     "data"
#define XtNdefault                  "default"
#define XtNdefaultData              "defaultData"
#define XtNdefaultProc              "defaultProc"
#define XtNdestroy                  "destroy"
#define XtNdim                      "dim"
#define XtNdirection                "direction"
#define XtNdiskSrc                  "diskSrc"
#define XtNdismiss                  "dismiss"
#define XtNdisplayPosition          "displayPosition"
#define XtNduplicateBtn             "duplicateBtn"
#define XtNeditType                 "editType"
#define XtNemanateWidget            "emanateWidget"
#define XtNexecute                  "execute"
#define XtNexpose                   "expose"
#define XtNfile                     "file"
#define XtNfocusWidget              "focusWidget"
#define XtNfont                     "font"
#define XtNfontColor                "fontColor"
#define XtNfontName                 "fontName"
#define XtNfooterPanel              "footerPanel"
#define XtNforceHorizontalSB        "forceHorizontalSB"
#define XtNforceVerticalSB          "forceVerticalSB"
#define XtNgetValuesHook            "getValuesHook"
#define XtNgranularity              "granularity"
#define XtNgravity                  "gravity"
#define XtNgrow                     "grow"
#define XtNhAutoScroll              "hAutoScroll"
#define XtNhInitialDelay            "hInitialDelay"
#define XtNhMenuPane                "hMenuPane"
#define XtNhPad                     "hPad"
#define XtNhRepeatRate              "hRepeatRate"
#define XtNhScrollbar               "hScrollbar"
#define XtNhSliderMoved             "hSliderMoved"
#define XtNhStepSize                "hStepSize"
#define XtNhelpInfo                 "helpInfo"
#define XtNhelpKey                  "helpKey"
#define XtNhorizontalSB             "horizontalSB"
#define XtNiconBorder               "iconBorder"
#define XtNiconGravity              "iconGravity"
#define XtNiconParking              "iconParking"
#define XtNinitialDelay             "initialDelay"
#define XtNinitialX                 "initialX"
#define XtNinitialY                 "initialY"
#define XtNinitialize               "initialize"
#define XtNinitializeHook           "initializeHook"
#define XtNinputFocusColor          "inputFocusColor"
#define XtNitems                    "items"
#define XtNitemsTouched             "itemsTouched"
#define XtNitemFields               "itemFields"
#define XtNitemMaxHeight            "itemMaxHeight"
#define XtNitemMaxWidth             "itemMaxWidth"
#define XtNitemMinHeight            "itemMinHeight"
#define XtNitemMinWidth             "itemMinWidth"
#define XtNitemGravity              "itemGravity"
#define XtNitemState                "itemState"
#define XtNjustify                  "justify"
#define XtNlabel                    "label"
#define XtNlabelImage               "labelImage"
#define XtNlabelJustify             "labelJustify"
#define XtNlabelPixmap              "labelPixmap"
#define XtNlabelTile                "labelTile"
#define XtNlabelType                "labelType"
#define XtNlayout                   "layout"
#define XtNlayoutHeight             "layoutHeight"
#define XtNlayoutType               "layoutType"
#define XtNlayoutWidth              "layoutWidth"
#define XtNleaveVerification        "leaveVerification"
#define XtNleftMargin               "leftMargin"
#define XtNlineSpace                "lineSpace"
#define XtNlowerControlArea         "lowerControlArea"
#define XtNmanaged                  "managed"
#define XtNmaximumSize              "maximumSize"
#define XtNmeasure                  "measure"
#define XtNmenu                     "menu"
#define XtNmenuAttachQuery          "menuAttachQuery"
#define XtNmenuAugment              "menuAugment"
#define XtNmenuBtn                  "menuBtn"
#define XtNmenuDefaultBtn           "menuDefaultBtn"
#define XtNmenuMark                 "menuMark"
#define XtNmenuName                 "menuName"
#define XtNmenuPane                 "menuPane"
#define XtNmenuPositioner           "menuPositioner"
#define XtNmodifyVerification       "modifyVerification"
#define XtNmotionVerification       "motionVerification"
#define XtNmouseX                   "mouseX"
#define XtNmouseY                   "mouseY"
#define XtNmultiClickTimeout        "multiClickTimeout"
#define XtNnextFieldKey             "nextFieldKey"
#define XtNnoneSet                  "noneSet"
#define XtNnumItems                 "numItems"
#define XtNnumItemFields            "numItemFields"
#define XtNorientation              "orientation"
#define XtNpackedWidget             "packedWidget"
#define XtNpackedWidgetList         "packedWidgetList"
#define XtNpanBtn                   "panBtn"
#define XtNpaneBackground           "paneBackground"
#define XtNpaneForeground           "paneForeground"
#define XtNpaneName                 "paneName"
#define XtNparentReset              "parentReset"
#define XtNpasteKey                 "pasteKey"
#define XtNpointerWarping           "pointerWarping"
#define XtNposition                 "position"
#define XtNpostSelect               "postSelect"
#define XtNprevFieldKey             "prevFieldKey"
#define XtNpreview                  "preview"
#define XtNpreviewWidget            "previewWidget"
#define XtNpropertiesKey            "propertiesKey"
#define XtNpropertyChange           "propertyChange"
#define XtNproportionLength         "proportionLength"
#define XtNpushpin                  "pushpin"
#define XtNpushpinDefault           "pushpinDefault"
#define XtNpushpinIn                "pushpinIn"
#define XtNpushpinOut               "pushpinOut"
#define XtNpushpinWidget            "pushpinWidget"
#define XtNqueryGeometry            "queryGeometry"
#define XtNrealize                  "realize"
#define XtNrecomputeSize            "recomputeSize"
#define XtNrecomputeWidth           "recomputeWidth"
#define XtNrecomputeHeight          "recomputeHeight"
#define XtNreferenceWidget          "referenceWidget"
#define XtNreferenceStub            "referenceStub"
#define XtNrefresh                  "refresh"
#define XtNrepeatRate               "repeatRate"
#define XtNreset                    "reset"
#define XtNresetDefault             "resetDefault"
#define XtNresetFactory             "resetFactory"
#define XtNresetSet                 "resetSet"
#define XtNresize                   "resize"
#define XtNrevertButton             "revertButton"
#define XtNrightMargin              "rightMargin"
#define XtNsameHeight               "sameHeight"
#define XtNsameSize                 "sameSize"
#define XtNsameWidth                "sameWidth"
#define XtNscale                    "scale"
#define XtNscroll                   "scroll"
#define XtNselect                   "select"
#define XtNselectBtn                "selectBtn"
#define XtNselectDoesPreview        "selectDoesPreview"
#define XtNselectProc               "selectProc"
#define XtNselectable               "selectable"
#define XtNselection                "selection"
#define XtNselectionArray           "selectionArray"
#define XtNselectionColor           "selectionColor"
#define XtNset                      "set"
#define XtNsetDefaults              "setDefaults"
#define XtNsetValues                "setValues"
#define XtNsetValuesAlmost          "setValuesAlmost"
#define XtNsetValuesHook            "setValuesHook"
#define XtNshellBehavior            "shellBehavior"
#define XtNshowPage                 "showPage"
#define XtNsliderMax                "sliderMax"
#define XtNsliderMin                "sliderMin"
#define XtNsliderMoved              "sliderMoved"
#define XtNsliderValue              "sliderValue"
#define XtNsourceType               "sourceType"
#define XtNstopKey                  "stopKey"
#define XtNstringSrc                "stringSrc"
#define XtNstrip                    "strip"
#define XtNtextArea                 "textArea"
#define XtNtextClearBuffer          "textClearBuffer"
#define XtNtextCopyBuffer           "textCopyBuffer"
#define XtNtextField                "textField"
#define XtNtextGetInsertPoint       "textGetInsertPoint"
#define XtNtextGetLastPos           "textGetLastPos"
#define XtNtextInsert               "textInsert"
#define XtNtextReadSubStr           "textReadSubStr"
#define XtNtextRedraw               "textRedraw"
#define XtNtextReplace              "textReplace"
#define XtNtextSetInsertPoint       "textSetInsertPoint"
#define XtNtextSetSource            "textSetSource"
#define XtNtextSource               "textSource"
#define XtNtextUpdate               "textUpdate"
#define XtNtoggleState              "toggleState"
#define XtNtopMargin                "topMargin"
#define XtNtraversalManager         "traversalManager"
#define XtNtraversalOn              "traversalOn"
#define XtNtrigger                  "trigger"
#define XtNundoKey                  "undoKey"
#define XtNunitType                 "unitType"
#define XtNunselect                 "unselect"
#define XtNunselectProc             "unselectProc"
#define XtNupdateView               "updateView"
#define XtNupperControlArea         "upperControlArea"
#define XtNuserAddItems             "userAddItems"
#define XtNuserData                 "userData"
#define XtNuserDeleteItems          "userDeleteItems"
#define XtNuserMakeCurrent          "userMakeCurrent"
#define XtNvAutoScroll              "vAutoScroll"
#define XtNvInitialDelay            "vInitialDelay"
#define XtNvMenuPane                "vMenuPane"
#define XtNvPad                     "vPad"
#define XtNvRepeatRate              "vRepeatRate"
#define XtNvScrollbar               "vScrollbar"
#define XtNvSliderMoved             "vSliderMoved"
#define XtNvStepSize                "vStepSize"
#define XtNverification             "verification"
#define XtNverify                   "verify"
#define XtNverticalSB               "verticalSB"
#define XtNverticalSBWidget         "verticalSBWidget"
#define XtNviewHeight               "viewHeight"
#define XtNviewWidth                "viewWidth"
#define XtNvisibleChildren          "visibleChildren"
#define XtNwindowBackground         "windowBackground"
#define XtNwindowForeground         "windowForeground"
#define XtNwindowLayering           "windowLayering"
#define XtNwrap                     "wrap"
#define XtNwrapBreak                "wrapBreak"
#define XtNwrapForm                 "wrapForm"
#define XtNxAddWidth                "xAddWidth"
#define XtNxAttachOffset            "xAttachOffset"
#define XtNxAttachRight             "xAttachRight"
#define XtNxOffset                  "xOffset"
#define XtNxRefName                 "xRefName"
#define XtNxRefWidget               "xRefWidget"
#define XtNxResizable               "xResizable"
#define XtNxVaryOffset              "xVaryOffset"
#define XtNyAddHeight               "yAddHeight"
#define XtNyAttachBottom            "yAttachBottom"
#define XtNyAttachOffset            "yAttachOffset"
#define XtNyOffset                  "yOffset"
#define XtNyRefName                 "yRefName"
#define XtNyRefWidget               "yRefWidget"
#define XtNyResizable               "yResizable"
#define XtNyVaryOffset              "yVaryOffset"

/*
 * Classes
 *
 */

#define XtCAcceptFocus              "AcceptFocus"
#define XtCAlignHorizontal          "AlignHorizontal"
#define XtCAlignVertical            "AlignVertical"
#define XtCAlignCaptions            "AlignCaptions"
#define XtCAlignment                "Alignment"
#define XtCApplAddItem              "ApplAddItem"
#define XtCApplDeleteItem           "ApplDeleteItem"
#define XtCApplEditClose            "ApplEditClose"
#define XtCApplEditOpen             "ApplEditOpen"
#define XtCApplTouchItem            "ApplTouchItem"
#define XtCApplUpdateView           "ApplUpdateView"
#define XtCApplViewItem             "ApplViewItem"
#define XtCApply                    "Apply"
#define XtCAutoPopup                "AutoPopup"
#define XtCBeep                     "Beep"
#define XtCBorderVisible            "BorderVisible"
#define XtCBusy                     "Busy"
#define XtCButtonType               "ButtonType"
#define XtCCallbackProc             "CallbackProc"
#define XtCCaption                  "Caption"
#define XtCCaptionWidth             "Caption_width"
#define XtCCenter                   "Center"
#define XtCCenterLine               "CenterLine"
#define XtCClientData               "ClientData"
#define XtCContainerType            "ContainerType"
#define XtCControlArea              "ControlArea"
#define XtCCornerColor              "CornerColor"
#define XtCCurrentPage              "CurrentPage"
#define XtCDampingFactor            "DampingFactor"
#define XtCData                     "Data"
#define XtCDefault                  "Default"
#define XtCDefaultData              "DefaultData"
#define XtCDestroy                  "Destroy"
#define XtCDim                      "Dim"
#define XtCDirection                "Direction"
#define XtCDismiss                  "Dismiss"
#define XtCEditType                 "EditType"
#define XtCEmanateWidget            "EmanateWidget"
#define XtCExpose                   "Expose"
#define XtCFile                     "File"
#define XtCFocusWidget              "FocusWidget"
#define XtCFont                     "Font"
#define XtCFontColor                "FontColor"
#define XtCFontName                 "FontName"
#define XtCFooterPanel              "FooterPanel"
#define XtCForceHorizontalSB        "ForceHorizontalSB"
#define XtCForceVerticalSB          "ForceVerticalSB"
#define XtCGetValuesHook            "GetValuesHook"
#define XtCGranularity              "Granularity"
#define XtCGravity                  "Gravity"
#define XtCGrow                     "Grow"
#define XtCHAutoScroll              "HAutoScroll"
#define XtCHInitialDelay            "HInitialDelay"
#define XtCHMenuPane                "HMenuPane"
#define XtCHPad                     "H_pad"
#define XtCHRepeatRate              "HRepeatRate"
#define XtCHScrollbar               "HScrollbar"
#define XtCHSliderMoved             "HSliderMoved"
#define XtCHStepSize                "HStepSize"
#define XtCHelpInfo                 "HelpInfo"
#define XtCHorizontalSB             "HorizontalSB"
#define XtCIconBorder               "IconBorder"
#define XtCIconGravity              "IconGravity"
#define XtCIconParking              "IconParking"
#define XtCInitialDelay             "InitialDelay"
#define XtCInitialX                 "InitialX"
#define XtCInitialY                 "InitialY"
#define XtCInitialize               "Initialize"
#define XtCInitializeHook           "InitializeHook"
#define XtCInputFocusColor          "InputFocusColor"
#define XtCItems                    "Items"
#define XtCItemsTouched             "ItemsTouched"
#define XtCItemFields               "ItemFields"
#define XtCItemMaxHeight            "ItemMaxHeight"
#define XtCItemMaxWidth             "ItemMaxWidth"
#define XtCItemMinHeight            "ItemMinHeight"
#define XtCItemMinWidth             "ItemMinWidth"
#define XtCItemGravity              "ItemGravity"
#define XtCItemState                "ItemState"
#define XtCJustify                  "Justify"
#define XtCLabel                    "Label"
#define XtCLabelImage               "LabelImage"
#define XtCLabelJustify             "LabelJustify"
#define XtCLabelPixmap              "LabelPixmap"
#define XtCLabelTile                "LabelTile"
#define XtCLabelType                "LabelType"
#define XtCLayout                   "Layout"
#define XtCLayoutHeight             "LayoutHeight"
#define XtCLayoutType               "LayoutType"
#define XtCLayoutWidth              "LayoutWidth"
#define XtCLineSpace                "LineSpace"
#define XtCListType                 "ListType"
#define XtCLowerControlArea         "LowerControlArea"
#define XtCManaged                  "Managed"
#define XtCMargin                   "Margin"
#define XtCMaximumSize              "MaximumSize"
#define XtCMeasure                  "Measure"
#define XtCMenu                     "Menu"
#define XtCMenuAttachQuery          "MenuAttachQuery"
#define XtCMenuAugment              "MenuAugment"
#define XtCMenuMark                 "MenuMark"
#define XtCMenuName                 "MenuName"
#define XtCMenuPane                 "MenuPane"
#define XtCMenuPositioner           "MenuPositioner"
#define XtCMouseX                   "MouseX"
#define XtCMouseY                   "MouseY"
#define XtCMultiClickTimeout        "MultiClickTimeout"
#define XtCNoneSet                  "NoneSet"
#define XtCNumItemFields            "NumItemFields"
#define XtCNumItems                 "NumItems"
#define XtCOrientation              "Orientation"
#define XtCPackedWidget             "PackedWidget"
#define XtCPackedWidgetList         "PackedWidgetList"
#define XtCPaneBackground           "PaneBackground"
#define XtCPaneForeground           "PaneForeground"
#define XtCPaneName                 "PaneName"
#define XtCParentReset              "ParentReset"
#define XtCPointerWarping           "PointerWarping"
#define XtCPosition                 "Position"
#define XtCPostSelect               "PostSelect"
#define XtCPreview                  "Preview"
#define XtCPreviewWidget            "PreviewWidget"
#define XtCPropertyChange           "PropertyChange"
#define XtCProportionLength         "ProportionLength"
#define XtCPushpin                  "Pushpin"
#define XtCPushpinDefault           "PushpinDefault"
#define XtCPushpinWidget            "PushpinWidget"
#define XtCQueryGeometry            "QueryGeometry"
#define XtCRealize                  "Realize"
#define XtCRecomputeSize            "RecomputeSize"
#define XtCRecomputeWidth           "RecomputeWidth"
#define XtCRecomputeHeight          "RecomputeHeight"
#define XtCReferenceWidget          "ReferenceWidget"
#define XtCReferenceStub            "ReferenceStub"
#define XtCRefresh                  "Refresh"
#define XtCRepeatRate               "RepeatRate"
#define XtCReset                    "Reset"
#define XtCResetDefault             "ResetDefault"
#define XtCResetFactory             "ResetFactory"
#define XtCResetSet                 "ResetSet"
#define XtCResize                   "Resize"
#define XtCRevertButton             "RevertButton"
#define XtCSameHeight               "SameHeight"
#define XtCSameSize                 "SameSize"
#define XtCSameWidth                "SameWidth"
#define XtCScale                    "Scale"
#define XtCScroll                   "Scroll"
#define XtCSelectDoesPreview        "SelectDoesPreview"
#define XtCSelectable               "Selectable"
#define XtCSelection                "Selection"
#define XtCSelectionArray           "SelectionArray"
#define XtCSelectionColor           "SelectionColor"
#define XtCSet                      "Set"
#define XtCSetDefaults              "SetDefaults"
#define XtCSetValues                "SetValues"
#define XtCSetValuesAlmost          "SetValuesAlmost"
#define XtCSetValuesHook            "SetValuesHook"
#define XtCShellBehavior            "ShellBehavior"
#define XtCShowPage                 "ShowPage"
#define XtCSliderMax                "SliderMax"
#define XtCSliderMin                "SliderMin"
#define XtCSliderMoved              "SliderMoved"
#define XtCSliderValue              "SliderValue"
#define XtCSourceType               "SourceType"
#define XtCStrip                    "Strip"
#define XtCTextArea                 "TextArea"
#define XtCTextClearBuffer          "TextClearBuffer"
#define XtCTextCopyBuffer           "TextCopyBuffer"
#define XtCTextField                "TextField"
#define XtCTextGetInsertPoint       "TextGetInsertPoint"
#define XtCTextGetLastPos           "TextGetLastPos"
#define XtCTextInsert               "TextInsert"
#define XtCTextPosition             "TextPosition"
#define XtCTextReadSubStr           "TextReadSubStr"
#define XtCTextRedraw               "TextRedraw"
#define XtCTextReplace              "TextReplace"
#define XtCTextSetInsertPoint       "TextSetInsertPoint"
#define XtCTextSetSource            "TextSetSource"
#define XtCTextSource               "TextSource"
#define XtCTextUpdate               "TextUpdate"
#define XtCToggleState              "ToggleState"
#define XtCToken                    "Token"
#define XtCTraversalManager         "TraversalManager"
#define XtCTraversalOn              "TraversalOn"
#define XtCTrigger                  "Trigger"
#define XtCUpdateView               "UpdateView"
#define XtCUpperControlArea         "UpperControlArea"
#define XtCUnitType                 "UnitType"
#define XtCUserData                 "UserData"
#define XtCVAutoScroll              "VAutoScroll"
#define XtCVInitialDelay            "VInitialDelay"
#define XtCVMenuPane                "VMenuPane"
#define XtCVPad                     "V_pad"
#define XtCVRepeatRate              "VRepeatRate"
#define XtCVScrollbar               "VScrollbar"
#define XtCVSliderMoved             "VSliderMoved"
#define XtCVStepSize                "VStepSize"
#define XtCVerification             "Verification"
#define XtCVerify                   "Verify"
#define XtCVerticalSB               "VerticalSB"
#define XtCVerticalSBWidget         "VerticalSBWidget"
#define XtCViewHeight               "ViewHeight"
#define XtCViewWidth                "ViewWidth"
#define XtCVisibleChildren          "VisibleChildren"
#define XtCWindowBackground         "WindowBackground"
#define XtCWindowForeground         "WindowForeground"
#define XtCWindowLayering           "WindowLayering"
#define XtCWrap                     "Wrap"
#define XtCWrapBreak                "WrapBreak"
#define XtCWrapForm                 "WrapForm"
#define XtCXAddWidth                "XAddWidth"
#define XtCXAttachOffset            "XAttachOffset"
#define XtCXAttachRight             "XAttachRight"
#define XtCXOffset                  "XOffset"
#define XtCXRefName                 "XRefName"
#define XtCXRefWidget               "XRefWidget"
#define XtCXResizable               "XResizable"
#define XtCXVaryOffset              "XVaryOffset"
#define XtCYAddHeight               "YAddHeight"
#define XtCYAttachBottom            "YAttachBottom"
#define XtCYAttachOffset            "YAttachOffset"
#define XtCYOffset                  "YOffset"
#define XtCYRefName                 "YRefName"
#define XtCYRefWidget               "YRefWidget"
#define XtCYResizable               "YResizable"
#define XtCYVaryOffset              "YVaryOffset"

/*
 * Types
 *
 */

#define XtRCallbackProc             "CallbackProc"
#define XtRCardinal                 "Cardinal"
#define XtRGravity                  "Gravity"
#define XtRGrow                     "Grow"             /* was XtCGrow */
#define XtRIndirectPixel            "IndirectPixel"
#define XtRIndirectFontStruct       "IndirectFontStruct"
#define XtROlDefine                 "OlDefine"
#define XtROlBitMask                "OlBitMask"
#define XtRScroll                   "Scroll"
#define XtRSourceType               "SourceType"
#define XtRWrap                     "Wrap"
#define XtRWrapBreak                "WrapBreak"
#define XtRWrapForm                 "WrapForm"

/*
 * NEW
 *
 */

#define XtNblinkRate                "blinkRate"
#define XtNbuttons                  "buttons"
#define XtNcharsVisible             "charsVisible"
#define XtNcomputeGeometries        "computeGeometries"
#define XtNdirectManipulation       "directManipulation"
#define XtNdragCursor               "dragCursor"
#define XtNeditMode                 "editMode"
#define XtNexclusives               "exclusives"
#define XtNitemCount                "itemCount"
#define XtNitemHeight               "itemHeight"
#define XtNitemWidth                "itemWidth"
#define XtNitemsVisible             "itemsVisible"
#define XtNkeys                     "keys"
#define XtNlinesVisible             "linesVisible"
#define XtNmargin                   "margin"
#define XtNpostModifyNotification   "postModifyNotification"
#define XtNselectEnd                "selectEnd"
#define XtNselectStart              "selectStart"
#define XtNsource                   "source"
#define XtNstateChange              "stateChange"
#define XtNtabTable                 "tabTable"
#define XtNtextEditWidget           "textEditWidget"
#define XtNtouchItems               "touchItems"
#define XtNvsb                      "vsb"
#define XtNwrapMode                 "wrapMode"

#define XtCBlinkRate                "BlinkRate"
#define XtCCharsVisible             "CharsVisible"
#define XtCComputeGeometries        "ComputeGeometries"
#define XtCDisplayPosition          "DisplayPosition"
#define XtCEditMode                 "EditMode"
#define XtCExclusives               "Exclusives"
#define XtCItemCount                "ItemCount"
#define XtCItemHeight               "ItemHeight"
#define XtCItemWidth                "ItemWidth"
#define XtCItemsVisible             "ItemsVisible"
#define XtCLinesVisible             "LinesVisible"
#define XtCPostModifyNotification   "PostModifyNotification"
#define XtCSource                   "Source"
#define XtCTabTable                 "TabTable"
#define XtCTextEditWidget           "TextEditWidget"
#define XtCTouchItems               "TouchItems"
#define XtCVSB                      "VSB"
#define XtCWrapMode                 "WrapMode"

#define XtROlEditMode               "OlEditMode"
#define XtRLong                     "Long"
#define XtROlSourceType             "OlSourceType"
#define XtROlWrapMode               "OlWrapMode"

#endif
