#ifndef	NOIDENT
#ident	"@(#)PopupWindP.h	1.2 SMI"
#ident	"@(#)popupwindo:include/Xol/PopupWindP.h	1.6"
#endif

#ifndef _PopupWindowShellP_h
#define _PopupWindowShellP_h
#include	<X11/ShellP.h>
#include	<X11/CompositeP.h>
#include	<X11/CoreP.h>
#include	<Xol/PopupWindo.h>
#include	<Xol/BaseWindoP.h>

typedef struct
{
	int keep_compiler_happy;   /* No new procedures */
} PopupWindowShellClassPart;

typedef struct _PropWindowClassRec {
  	CoreClassPart		core_class;
	CompositeClassPart	composite_class;
	ShellClassPart		shell_class;
	WMShellClassPart	wm_shell_class;
	VendorShellClassPart	vendor_shell_class;
	TopLevelShellClassPart	top_level_shell_class;
	BaseWindowShellClassPart	base_window_shell_class;
	PopupWindowShellClassPart	popup_shell_class;
} PopupWindowShellClassRec;

extern PopupWindowShellClassRec popupWindowShellClassRec;

/* New fields for the Open Look Popup Window widget */

typedef struct {
	Widget		upperControlArea;
	Widget		lowerControlArea;
	Widget		footerPanel;
	Boolean		propchange;
	XtCallbackList	apply;
	XtCallbackList	setDefaults;
	XtCallbackList	reset;
	XtCallbackList	resetFactory;
	XtCallbackList	verify;
	Widget		menu;
	OlDefine	pushpin_state;
} PopupWindowShellPart;

typedef struct _PopupWindowShellRec
{
	CorePart 	core;
	CompositePart 	composite;
	ShellPart 	shell;
	WMShellPart	wm;
	VendorShellPart	vendor;
	TopLevelShellPart	topLevel;
	BaseWindowShellPart	base_window;
	PopupWindowShellPart	popupwindow;
} PopupWindowShellRec;

#endif
