#ifndef	NOIDENT
#ident	"@(#)TextFieldP.h	1.2 SMI"
#ident	"@(#)textfield:include/Xol/TextFieldP.h	1.10"
#endif

/*
 * TextFieldP.h
 *
 */

#ifndef _TextFieldP_h
#define _TextFieldP_h

#include <Xol/ManagerP.h>        /* include superclasses' header (yuch) */
#include <TextField.h>

typedef enum { POLL_LEFT, POLL_RIGHT, POLL_OFF } PollMode;

typedef struct
   {
   int keep_compiler_happy;   /* No new procedures */
   } TextFieldClassPart;

typedef struct _TextFieldClassRec
   {
   CoreClassPart         core_class;
   CompositeClassPart    composite_class;
   ConstraintClassPart   constraint_class;
   ManagerClassPart      manager_class;
   TextFieldClassPart    textfield_class;
   } TextFieldClassRec;

typedef struct
   {
   char *          string;
   Widget          textWidget;
   int             initialDelay;
   int             repeatRate;
   int             maximumSize;
   int             charsVisible;
   XtCallbackList  verification;
   Pixmap          leftOnArrow;
   Pixmap          rightOnArrow;
   Pixmap          leftOffArrow;
   Pixmap          rightOffArrow;
   int             arrowWidth;
   int             arrowHeight;
   XFontStruct *   font;
   char            l_on;
   char            r_on;
   PollMode        polling;
   } TextFieldPart;

typedef struct _TextFieldRec
   {
   CorePart        core;
   CompositePart   composite;
   ConstraintPart  constraint;
   ManagerPart     manager;
   TextFieldPart   textField;
   } TextFieldRec;

extern TextFieldClassRec textFieldClassRec;

#endif
