#ifndef NOIDENT
#ident	"@(#)memutil.h	1.2 SMI"
#ident	"@(#)olmisc:memutil.h	1.1"
#endif

/*
 * memutil.h
 *
 */

#ifndef _memutil_h
#define _memutil_h

#ifdef DEBUG
#   define PRINTF(x) (void) fprintf x
#   define REGISTER_MALLOC(p) (void) fprintf \
       (stderr, "%x malloced around %s at %d.\n", p, __FILE__, __LINE__);
#else
#   define PRINTF(x)
#   define REGISTER_MALLOC(p) 
#endif

#define FREE(p)         _Free(p, __FILE__, __LINE__)
#define CALLOC(n,s)     _Calloc(n, s, __FILE__, __LINE__)
#define MALLOC(p)       _Malloc(p, __FILE__, __LINE__)
#define REALLOC(p,s)    _Realloc(p, s, __FILE__, __LINE__)

extern void      _Free();
extern char *    _Calloc();
extern char *    _Malloc();
extern char *    _Realloc();

#endif
