/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/**
PROJECT:	The AT&T Xtk Test
NAME:		flatChkbox.c
MODULE:
CATEGORY:
SCCS INFO:	ID (release.level.branch.sequence) - 1.2
		Date newest applied delta created  - 6/19/90
		Date this file gotten - 6/19/90
HISTORY:	Date	 Version  Person	Modification
		10/17/89 1.00.00  sfbat!chang   initial coding
NOTES:
		Confidential, please do not disclose
**/

#ifdef OL2_0

#include "sampler_ext.h"
/**/
#include "Xol/PopupWindo.h"
#include "Xol/StaticText.h"
#include "Xol/OblongButt.h"
#include "Xol/FCheckBox.h"


extern void	popup_callback (),
		done_callback ();

static String	exc_fields [] = {
	XtNlabel, XtNset,
};

static XtArgVal exc_items [] = {
	(XtArgVal) "       This is Item 1", (XtArgVal) True,
	(XtArgVal) "       This is Item 2", (XtArgVal) False,
	(XtArgVal) "       This is Item 3", (XtArgVal) True,
	(XtArgVal) "       This is Item 4", (XtArgVal) False,
	(XtArgVal) "       This is Item 5", (XtArgVal) True,
};

void flat_chkbox (menupane)
	Widget		menupane;
{
	Widget		parent,
			cmdwin,
			fchkbox,
			done_button,
			stext;

	Widget		uctl,
			lctl,
			footer;

	T_INIT_ARGS;
	T_SET_ARGS(XtNlabelType, OL_POPUP);
        parent = T_CREATE_WIDGET(
                	"FlatCheckBox Widget ",
                	oblongButtonGadgetClass,
                	menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNtitle, "FlatCheckBox Widget");
	cmdwin = T_CREATE_POPUP(
			"CommandWin",
			popupWindowShellWidgetClass,
			menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNupperControlArea, &uctl);
	T_SET_ARGS (XtNlowerControlArea, &lctl);
	T_SET_ARGS (XtNfooterPanel, &footer);
	T_GET_VALS (cmdwin);

	T_INIT_ARGS;
	T_SET_ARGS (XtNitems, exc_items);
	T_SET_ARGS (XtNnumItems, 5);
	T_SET_ARGS (XtNitemFields, exc_fields);
	T_SET_ARGS (XtNnumItemFields, 2);
	fchkbox = T_CREATE_WIDGET(
			"Fchkbox",
			flatCheckBoxWidgetClass,
			uctl
	);

	T_INIT_ARGS;
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonGadgetClass,
			lctl
	);
	XtAddCallback (done_button, XtNselect, done_callback, NULL);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, "a FlatCheckBox Widget");
	stext = T_CREATE_WIDGET(
			"Status",
			staticTextWidgetClass,
			footer
	);

	XtAddCallback (parent, XtNselect, popup_callback, cmdwin);

	XtRealizeWidget (cmdwin);

	return;
}

#endif
