/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/**
PROJECT:	The AT&T Xtk Test
NAME:		keybdTrav.c
MODULE:
CATEGORY:
SCCS INFO:	ID (release.level.branch.sequence) - 1.2
		Date newest applied delta created  - 6/19/90
		Date this file gotten - 6/19/90
HISTORY:	Date	 Version  Person	Modification
		10/17/89 1.00.00  sfbat!chang   initial coding
NOTES:
		Confidential, please do not disclose
**/

#ifdef OL2_0

#include "sampler_ext.h"
/**/
#include "Xol/PopupWindo.h"
#include "Xol/StaticText.h"
#include "Xol/OblongButt.h"
#include "Xol/TextField.h"
#include "Xol/FCheckBox.h"


extern void	popup_callback (),
		done_callback ();

static char	tf_string [80];

void keybd_traversal (menupane)
	Widget		menupane;
{
	Widget		parent,
			cmdwin,
			tf,
			done_button,
			stext;

	Widget		uctl,
			lctl,
			footer;

	int		i;

	T_INIT_ARGS;
	T_SET_ARGS (XtNlabelType, OL_POPUP);
        parent = T_CREATE_WIDGET(
                	"Keyboard Traversal Feature",
                	oblongButtonGadgetClass,
                	menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNtitle, "Keyboard Traversal");
	cmdwin = T_CREATE_POPUP(
			"CommandWin",
			popupWindowShellWidgetClass,
			menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNupperControlArea, &uctl);
	T_SET_ARGS (XtNlowerControlArea, &lctl);
	T_SET_ARGS (XtNfooterPanel, &footer);
	T_GET_VALS (cmdwin);

	T_INIT_ARGS;
	T_SET_ARGS (XtNtraversalManager, True);
	T_SET_VALS (uctl);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, tf_string);
	T_SET_ARGS (XtNwidth,  200);
/*
	T_SET_ARGS (XtNtraversalOn, True);
*/
	for (i = 0; i < 5; i++)
	{
		sprintf (tf_string, "This is textField-%d", i+1);
		tf = T_CREATE_WIDGET(
				tf_string,
				textFieldWidgetClass,
				uctl
		);
	}

	T_INIT_ARGS;
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonGadgetClass,
			lctl
	);
	XtAddCallback (done_button, XtNselect, done_callback, NULL);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, "Keyboard Traversal Feature");
	stext = T_CREATE_WIDGET(
			"Status",
			staticTextWidgetClass,
			footer
	);

	XtAddCallback (parent, XtNselect, popup_callback, cmdwin);

	XtRealizeWidget (cmdwin);

	return;
}
#endif
