/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/**
PROJECT:	The AT&T Xtk Test
NAME:		list.c
MODULE:
CATEGORY:
SCCS INFO:	ID (release.level.branch.sequence) - 1.2
		Date newest applied delta created  - 6/19/90
		Date this file gotten - 6/19/90
HISTORY:	Date	 Version  Person	Modification
		3/13/89  1.00.00  sfbat!scottn	initial coding
		10/17/89 1.00.00  sfbat!chang   use gadget
NOTES:
		Confidential, please do not disclose
**/

#include "sampler_ext.h"
/**/
#include "Xol/PopupWindo.h"
#include "Xol/StaticText.h"
#include "Xol/OblongButt.h"
#include "Xol/ScrollingL.h"


extern void	popup_callback (),
		done_callback ();

#define NOS_ITEMS	10
static OlListItem       list_item;
static char		*item_names [] = {
        			"Item One",
        			"Item Two",
        			"Item Three",
        			"Item Four",
        			"Item Five",
        			"Item Six",
        			"Item Seven",
        			"Item Eight",
        			"Item Nine",
        			"Item Ten",
};

void scrolling_list (menupane)
	Widget		menupane;
{
	Widget		parent,
			cmdwin,
			scrlist,
			done_button,
			stext;

	Widget		uctl,
			lctl,
			footer;

	OlListToken	(*add_item)();

	int		i;

	T_INIT_ARGS;
	T_SET_ARGS (XtNlabelType, OL_POPUP);
#ifdef OL2_0
        parent = T_CREATE_WIDGET(
                	"Scrolling List",
                	oblongButtonGadgetClass,
                	menupane
	);
#else
        parent = T_CREATE_WIDGET(
                	"Scrolling List",
                	oblongButtonWidgetClass,
                	menupane
	);
#endif
	T_INIT_ARGS;
	T_SET_ARGS (XtNtitle, "Scrolling List");
	cmdwin = T_CREATE_POPUP(
			"CommandWin",
			popupWindowShellWidgetClass,
			menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNupperControlArea, &uctl);
	T_SET_ARGS (XtNlowerControlArea, &lctl);
	T_SET_ARGS (XtNfooterPanel, &footer);
	T_GET_VALS (cmdwin);

	T_INIT_ARGS;
	T_SET_ARGS (XtNtitle, "Ten Items");
	T_SET_ARGS (XtNviewHeight, 4);
	scrlist = T_CREATE_WIDGET(
			"ScrollingList",
			scrollingListWidgetClass,
			uctl
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNapplAddItem, &add_item);
	T_GET_VALS (scrlist);

        list_item . label_type = OL_STRING;
        list_item . attr = 0;
        for (i = 0; i < NOS_ITEMS; i++)
        {
                list_item . label = item_names [i];
                (*add_item) (scrlist, NULL, NULL, list_item);
        }

	T_INIT_ARGS;
#ifdef OL2_0
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonGadgetClass,
			lctl
	);
#else
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonWidgetClass,
			lctl
	);
#endif
	XtAddCallback (done_button, XtNselect, done_callback, NULL);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, "a Basic Scrolling List");
	stext = T_CREATE_WIDGET(
			"Status",
			staticTextWidgetClass,
			footer
	);

	XtAddCallback (parent, XtNselect, popup_callback, cmdwin);

	XtRealizeWidget (cmdwin);

	return;
}
