/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/**
PROJECT:	The AT&T Xtk Test
NAME:		sampler.c
MODULE:		main ()
CATEGORY:
SCCS INFO:	ID (release.level.branch.sequence) - 1.2
		Date newest applied delta created  - 6/19/90
		Date this file gotten - 6/19/90
HISTORY:	Date	 Version  Person	Modification
		11/23/88 1.00.00  sfbat!chang	initial coding
NOTES:
		Confidential, please do not disclose
**/

#include <stdio.h>

#include "X11/StringDefs.h"
#include "X11/Intrinsic.h"
/**/
#include "Xol/OpenLook.h"
#include "Xol/StaticText.h"

#include "sampler_def.h"
#include "sampler.h"

main (argc, argv)
	int		argc;
	char		*argv[];
{
	Widget		toplevel,
			menu;

	init (argc, argv, &toplevel);

	create_quit_button ();

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, "I am StaticText and Form is our Parent");
	T_SET_ARGS (XtNborderWidth, 0);
	T_SET_ARGS (XtNxRefName, "Quit");
	T_SET_ARGS (XtNyRefName, "Quit");
	T_SET_ARGS (XtNyAddHeight, True);
	T_SET_ARGS (XtNyOffset, 5);
	t_refs[0] = T_CREATE_WIDGET(
			"StaticText",
			staticTextWidgetClass,
	 		t_parent
		);

	t_prp_chg_wids [T_STATIC_TEXT] = t_refs [0];

	create_menu (&menu);

	/*
	 * Incur the cost of realizing these widget trees up front.
	 */

	XtRealizeWidget (menu);

	XtRealizeWidget (toplevel);

	XtMainLoop ();

	exit (0);
}
