/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/**
PROJECT:	The AT&T Xtk Test
NAME:		text.c
MODULE:
CATEGORY:
SCCS INFO:	ID (release.level.branch.sequence) - 1.2
		Date newest applied delta created  - 6/19/90
		Date this file gotten - 6/19/90
HISTORY:	Date	 Version  Person	Modification
		3/13/89  1.00.00  sfbat!scottn	initial coding
		10/17/89 1.00.00  sfbat!chang   use gadget
NOTES:
		Confidential, please do not disclose
**/

#include "sampler_ext.h"
/**/
#include "Xol/PopupWindo.h"
#include "Xol/StaticText.h"
#include "Xol/OblongButt.h"
#include "Xol/Text.h"


extern void	popup_callback (),
		done_callback ();

static char	txt_string [] = "\
A widget is a set of code and data that provides a part of a \"look and \
feel\" of a user interface; the Intrinsics are C routines for creating ...";

void text_widget (menupane)
	Widget		menupane;
{
	Widget		parent,
			cmdwin,
			txt,
			done_button,
			stext,
			uctl,
			lctl,
			footer;

	T_INIT_ARGS;
	T_SET_ARGS (XtNlabelType, OL_POPUP);
#ifdef OL2_0
        parent = T_CREATE_WIDGET(
                	"Text Widget",
                	oblongButtonGadgetClass,
                	menupane
	);
#else
        parent = T_CREATE_WIDGET(
                	"Text Widget",
                	oblongButtonWidgetClass,
                	menupane
	);
#endif

	T_INIT_ARGS;
	T_SET_ARGS (XtNtitle, "Text Widget");
	cmdwin = T_CREATE_POPUP(
			"CommandWin",
			popupWindowShellWidgetClass,
			menupane
	);

	T_INIT_ARGS;
	T_SET_ARGS (XtNupperControlArea, &uctl);
	T_SET_ARGS (XtNlowerControlArea, &lctl);
	T_SET_ARGS (XtNfooterPanel, &footer);
	T_GET_VALS (cmdwin);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, txt_string);
	T_SET_ARGS (XtNverticalSB, True);
	txt = T_CREATE_WIDGET(
			"TextW",
			textWidgetClass,
			uctl
	);

	T_INIT_ARGS;
#ifdef OL2_0
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonGadgetClass,
			lctl
	);
#else
	done_button = T_CREATE_WIDGET(
			"Done",
			oblongButtonWidgetClass,
			lctl
	);
#endif
	XtAddCallback (done_button, XtNselect, done_callback, NULL);

	T_INIT_ARGS;
	T_SET_ARGS (XtNstring, "a Text Widget");
	stext = T_CREATE_WIDGET(
			"Status",
			staticTextWidgetClass,
			footer
	);

	XtAddCallback (parent, XtNselect, popup_callback, cmdwin);

	XtRealizeWidget (cmdwin);

	return;
}
