%   @(#)xps.cps	1.6 90/02/22 Copyright 1989 Sun Micro

% Initialize the XView connection to NeWS.
%
cdef xps_init()

    % Variables:

%    /errordict StopOnErrorsDict def

    /xps_RunfileProcess null def		% xps_runfile process id

    % Procedures:

    % Munge the current coordinate system to match the specified
    % bounding box.
    %
    /xps_scaletofit {				% bbx bby bbw bbh => -
	clippath pathbbox			% bbx bby bbw bbh x y w h
	4 2 roll translate			% bbx bby bbw bbh w h
	exch 4 -1 roll div			% bbx bby bbh h sw
	exch 3 -1 roll div			% bbx bby sw sh
	scale					% bbx bby
	neg exch neg exch translate		% -
    } def

% Display a file in an XView canvas.
%
cdef xps_runfile(int CanvasID, string File)

    % Kill the previous process, if necessary.

    xps_RunfileProcess null ne {
	xps_RunfileProcess killprocess
    } if

    % Fork a process to display the file.

    /xps_RunfileProcess {
	clippath pathbbox 0 exch translate pop pop pop 1 -1 scale
	0 0 8.5 72 mul 11 72 mul xps_scaletofit
	mark
	{ File run } stopped
	{ console (Xps Error: % % \n %\n)
	    [
		$error /command get
		$error /errorname get
		$error /message get
		dup null eq { pop ( ) } if 
	    ]
	    fprintf }
	if
	cleartomark
    } fork def

% Erase an XView canvas.
%
cdef xps_erasepage()
    erasepage

cdef xps_blankcanvas()
    1 fillcanvas
%
% Create a circular path at the given position, with diameter the
% same as the current width
%
cdef xps_circle(int x, y)
    clippath pathbbox  	    	% x y w h
    4 -3  roll pop pop pop	% w
    2 div dup x add exch y exch	% x y w
    0 360 arc			% x y w 0 360 arc


