/*
 * @(#)log.h 2.1 90/01/18
 *
 */
/*
 *************************************************************
 *                                                           *
 *   Copyright (c) 1989, 1987 by Sun Microsystems, Inc.      *
 *                                                           *
 *   This program is protected by Federal Copyright Law.     *
 *   No part of this program may be reproduced, stored in    *
 *   a retrieval system, translated, transcribed, or         *
 *   transmitted, in any form or by any means manual,        *
 *   electric, electronic, electro-magnetic, mechanical,     *
 *   optical, or otherwise, without prior explicit written   *
 *   permission from Sun Microsystems, Inc.                  *
 *                                                           *
 *************************************************************
 */

/*
    Print an error message to <stderr> and aborts program
    by calligin exit. Syntax is identical to printf.
*/
extern	void	log_Error();

/*
    Prints a warning message to <stderr>. Syntax is identical to printf.
    Message is also added to the log file <log.out> for debugging.
*/
extern void 	log_Warning();


/*
    Used for debugging only to add messages to the log file <log.out>
    Syntax is identical to printf.

*/
extern	void	log_Msg();


/* Boot time initialization */
extern	void	log_Init();

