/*
 * @(#)account.h 23.3 90/06/19 SMI
 */

/*
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 */

/*
 * Definitions for server memory accounting
 * of non-core allocations.
 */

#ifndef	_account_h
#define _account_h

#include <memaccount.h>

enum accounting_type {
    keyword_data,
    keyword_overhead,
    keyword_hash,
    estack_data,
    ostack_data,
    dstack_data,
    parse_buffer,
    interest_backptr,
    save_set,
    event_cons_cell,
    x_resource,
    x_resource_overhead,
    x_property,
    x_atom,
    x_window_optional,
    num_accounting_types		/* must be last */
};

extern unsigned		interpreter_family;

#endif /* _account_h */
