/*
 * @(#)debugdict.h 23.2 90/06/19 SMI
 */

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */

/*
 * Definitions for system debugging dictionary.
 */

#ifndef	_debugdict_h
#define _debugdict_h

/*
 * Define a debugging operator in the debug dictionary.
 */
#define define_debug_operator(name, function, index, args, results) {	\
    static struct operator_def d =					\
                {index, name, args, results - args, function};		\
    define_operator_obj.value.def = &d;					\
    (void) define_object_in_dictionary(					\
	add_kwd_name(d.pname),						\
        define_operator_obj, debugdict, (ENTITY *)0);		\
}

#endif /* _debugdict_h */
